POST api/v1/blackcontactconfigurations
Request Information
URI Parameters
None.
Body Parameters
BlackContactConfigurationDto| Name | Description | Type | Additional information |
|---|---|---|---|
| TypeContact | TypeContact |
None. |
|
| TypeConfiguration | TypeConfiguration |
None. |
|
| NotificationConfigCode | string |
None. |
|
| NotificationConfigGroupCode | string |
None. |
|
| ChannelCommunicationCode | string |
None. |
|
| OrganizationCode | string |
None. |
|
| CustomerId | globally unique identifier |
None. |
|
| string |
None. |
||
| CommunicationId | globally unique identifier |
None. |
|
| NotificationId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"typeContact": 0,
"typeConfiguration": 0,
"notificationConfigCode": "sample string 1",
"notificationConfigGroupCode": "sample string 2",
"channelCommunicationCode": "sample string 3",
"organizationCode": "sample string 4",
"customerId": "e5a1406d-6425-435c-a73b-a1e5b7f01f8b",
"email": "sample string 5",
"communicationId": "597ee077-ca22-40b3-9767-1e10a8f529c4",
"notificationId": "558df0bb-0ec2-48d7-9dd6-635baed3445f"
}
application/xml, text/xml
Sample:
<BlackContactConfigurationDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Domain.Dtos"> <ChannelCommunicationCode>sample string 3</ChannelCommunicationCode> <CommunicationId>597ee077-ca22-40b3-9767-1e10a8f529c4</CommunicationId> <CustomerId>e5a1406d-6425-435c-a73b-a1e5b7f01f8b</CustomerId> <Email>sample string 5</Email> <NotificationConfigCode>sample string 1</NotificationConfigCode> <NotificationConfigGroupCode>sample string 2</NotificationConfigGroupCode> <NotificationId>558df0bb-0ec2-48d7-9dd6-635baed3445f</NotificationId> <OrganizationCode>sample string 4</OrganizationCode> <TypeConfiguration>General</TypeConfiguration> <TypeContact>Communication</TypeContact> </BlackContactConfigurationDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.